namespace MileageTraker.Web.ViewModels.FuelLog
{
	public class MatchLinkViewModel
	{
		public int FuelLogId { get; set; }
		public int? LogId { get; set; }

		public MatchLinkViewModel(Models.FuelLog fuelLog)
		{
			FuelLogId = fuelLog.FuelLogId;
			if (fuelLog.Log != null)
				LogId = fuelLog.Log.LogId;
		}

		public MatchLinkViewModel(ImportFuelLogViewModel viewModel)
		{
			FuelLogId = viewModel.FuelLogId;
			if (viewModel.LogId != null)
				LogId = viewModel.LogId;
		}
	}
}